Bug 253240 - net/widentd: Replace deprecated variable (fixes build)
Summary: net/widentd: Replace deprecated variable (fixes build)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-02-04 01:38 UTC by Chris Hutchinson
Modified: 2021-02-24 06:31 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
svn diff to make net/widentd build again on pkg-fallout (410 bytes, patch)
2021-02-04 01:38 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
version 2 patch for net/widentd (626 bytes, patch)
2021-02-11 19:41 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff version 5 (final) for textproc/mgdiff (310 bytes, patch)
2021-02-23 06:22 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff against net/widentd (1.13 KB, patch)
2021-02-23 17:21 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
QA build log for net/widentd (2.71 KB, text/plain)
2021-02-23 17:28 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2021-02-04 01:38:50 UTC
Created attachment 222154 [details]
svn diff to make net/widentd build again on pkg-fallout

The attached svn diff pets pkg-fallout for
the copmplaint
make[1]: "/usr/share/mk/bsd.opts.mk" line 110: "NO_WERROR is defined, but deprecated. Please use MK_WERROR=no instead."

Making the suggested changes allows it to build/install again.

Thats it.

Thanks!

--Chris
Comment 1 PauAmma freebsd_triage 2021-02-04 02:06:03 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first

Are quarterly users affected? If so, please set merge-quarterly flag to: ?
Comment 2 Chris Hutchinson 2021-02-11 19:41:06 UTC
Created attachment 222372 [details]
version 2 patch for net/widentd

This version bumps (adds) PORTREVISION to inform pkg
it's changed. As well as create a conditional to
address the problem introduced in 13.
All in all. This one (patch) is a better choice.

Thanks!

--Chris
Comment 3 Chris Hutchinson 2021-02-23 06:22:00 UTC
Created attachment 222745 [details]
svn diff version 5 (final) for textproc/mgdiff

oops. The last one was against a file I neglected
to *save* before diffing. DO'H.

Sorry. *This* one is it.
Comment 4 Chris Hutchinson 2021-02-23 06:26:57 UTC
Comment on attachment 222745 [details]
svn diff version 5 (final) for textproc/mgdiff

Sorry. Wrong pr.
I've corrected this by obsoleting this one,
and UNobsoleting the correct on.
sorry.
Comment 5 Fernando Apesteguía freebsd_committer 2021-02-23 07:39:18 UTC
$ make describe
make: "/data/fernape_data/FreeBSD-repos/ports/head/net/widentd/Makefile" line 17: Malformed conditional (${OSREL:R} < 13)
make: Fatal errors encountered -- cannot continue
make: stopped in /data/fernape_data/FreeBSD-repos/ports/head/net/widentd

Please, tests the patch before submitting :-). My list:

* portlint -AC
* portclippy
* portfmt
* poudriere testport

HTH
Comment 6 Chris Hutchinson 2021-02-23 07:44:32 UTC
(In reply to Fernando Apesteguía from comment #5)
Sorry. My bad. I only checked against 12(stable|current).
I'll sort it ASAP.

Thanks! :-)

--Chris
Comment 7 Fernando Apesteguía freebsd_committer 2021-02-23 08:00:39 UTC
(In reply to Chris Hutchinson from comment #6)
The error is in the conditional itself regardless of the version. I just tried on 12.2 and current and fails in both ;-)
Comment 8 Chris Hutchinson 2021-02-23 17:18:06 UTC
(In reply to Fernando Apesteguía from comment #7)
Well I was about to call bull on your last comment.
As I always keep logs from all my work until they're
closed/committed. So I went to get it to prove my
righteousness, and lo, there was no log. <BLUSH>
Thanks for keeping me honest. :-)
I was working on 5 different pr's in 5 different jails
that day -- clearly too many.
Anyway. I've got the fix, which also quiets a warning
on the source as well. Attaching it now. Along with a
log. ;-)

Thanks!
Comment 9 Chris Hutchinson 2021-02-23 17:21:42 UTC
Created attachment 222762 [details]
svn diff against net/widentd

svn diff against net/widentd
cures a problem that arose on versions of
FreeBSD 13, and adds a patch to quiet a warning
in the widentd source.

That's it!

Thank you! :-)

--Chris
Comment 10 Chris Hutchinson 2021-02-23 17:28:07 UTC
Created attachment 222764 [details]
QA build log for net/widentd

OK this a log from stable 12. If nothing else
it proves I actually tested it this time. ;-)
Comment 11 Fernando Apesteguía freebsd_committer 2021-02-23 18:38:40 UTC
Sorry, it was not my intention to sound rude.

You don't need to upload a new patch, but:

WARN: net/widentd/files/patch-widentd.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

# USES block
USES
+USE_RC_SUBR

# Make block
MAKE_ENV

# Packaging list block
PLIST_FILES

-USE_RC_SUBR

:-)
Comment 12 Chris Hutchinson 2021-02-23 19:55:45 UTC
(In reply to Fernando Apesteguía from comment #11)
> Sorry, it was not my intention to sound rude.
No. You weren't rude at all. :-)
I was just embarrassed I neglected to test it,
as I thought I had. :-)

Never understood that "make makepatch" stuff.
The system comes with diff(1). makepatch uses
it. I use it. But the ports framework complains.

Well. At this point I'm just glad it all *works*. :-)

Thanks, Fernando, for all the time and effort you've
put into this.

--Chris
Comment 13 Chris Hutchinson 2021-02-23 20:08:00 UTC
> # USES block
> USES
> +USE_RC_SUBR
> 
> # Make block
> MAKE_ENV
> 
> # Packaging list block
> PLIST_FILES
> 
> -USE_RC_SUBR
OK I spoke too soon. I see what you meant.
I needed to move the last block  with the MAKE
conditional to the end. Which I see screwed up
the proper "flow".
Comment 14 commit-hook freebsd_committer 2021-02-24 06:30:22 UTC
A commit references this bug:

Author: fernape
Date: Wed Feb 24 06:29:22 UTC 2021
New revision: 566449
URL: https://svnweb.freebsd.org/changeset/ports/566449

Log:
  net/widentd: Replace deprecated variable (fixes build)

  PR:	253240
  Submitted by:	portmaster@bsdforge.com (maintainer)
  MFH:	2021Q

Changes:
  head/net/widentd/Makefile
  head/net/widentd/files/patch-widentd.c
Comment 15 commit-hook freebsd_committer 2021-02-24 06:31:23 UTC
A commit references this bug:

Author: fernape
Date: Wed Feb 24 06:31:05 UTC 2021
New revision: 566450
URL: https://svnweb.freebsd.org/changeset/ports/566450

Log:
  MFH: r566449

  net/widentd: Replace deprecated variable (fixes build)

  PR:	253240
  Submitted by:	portmaster@bsdforge.com (maintainer)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/net/widentd/Makefile
  branches/2021Q1/net/widentd/files/patch-widentd.c
Comment 16 Fernando Apesteguía freebsd_committer 2021-02-24 06:31:32 UTC
Committed and merged to 2021Q1.

Thanks!